servant-0.19.1: A family of combinators for defining webservices APIs

Safe Haskell | Safe-Inferred
Language | Haskell2010

Servant.API.Empty

Synopsis

- data EmptyAPI = EmptyAPI

# Documentation

data EmptyAPI Source #

An empty API: one which serves nothing. Morally speaking, this should be the unit of `:<|>`. Implementors of interpretations of API types should treat `EmptyAPI` as close to the unit as possible.

Constructors

EmptyAPI |

#### Instances

Instances details

Bounded EmptyAPI Source # |
Instance details Defined in Servant.API.Empty Methods minBound :: EmptyAPI Source # maxBound :: EmptyAPI Source #
Enum EmptyAPI Source # |

Instance details

Defined in Servant.API.Empty

Methods

succ :: EmptyAPI -> EmptyAPI Source #

pred :: EmptyAPI -> EmptyAPI Source #

toEnum :: Int -> EmptyAPI Source #

fromEnum :: EmptyAPI -> Int Source #

enumFrom :: EmptyAPI -> [EmptyAPI] Source #

enumFromThen :: EmptyAPI -> EmptyAPI -> [EmptyAPI] Source #

enumFromTo :: EmptyAPI -> EmptyAPI -> [EmptyAPI] Source #

enumFromThenTo :: EmptyAPI -> EmptyAPI -> EmptyAPI -> [EmptyAPI] Source #

Show EmptyAPI Source # |
Instance details Defined in Servant.API.Empty Methods showsPrec :: Int -> EmptyAPI -> ShowS Source # show :: EmptyAPI -> String Source # showList :: [EmptyAPI] -> ShowS Source #
Eq EmptyAPI Source # |
Instance details Defined in Servant.API.Empty Methods (==) :: EmptyAPI -> EmptyAPI -> Bool Source # (/=) :: EmptyAPI -> EmptyAPI -> Bool Source #
HasLink EmptyAPI Source # |
Instance details Defined in Servant.Links Associated Types type MkLink EmptyAPI a Source # Methods toLink :: (Link -> a) -> Proxy EmptyAPI -> Link -> MkLink EmptyAPI a Source #
type MkLink EmptyAPI a Source # |
Instance details Defined in Servant.Links type MkLink EmptyAPI a = EmptyAPI